Last Comment Bug 703790 - navigator properties implemented with nsIDOMGlobalPropertyInitializer are not initialized on page reload
: navigator properties implemented with nsIDOMGlobalPropertyInitializer are not...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Other Branch
: All All
: -- normal (vote)
: ---
Assigned To: Johnny Stenback (:jst, jst@mozilla.com)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-18 15:40 PST by [:fabrice] Fabrice Desré
Modified: 2011-12-02 10:50 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description [:fabrice] Fabrice Desré 2011-11-18 15:40:31 PST
Such properties get their init() method called during first load, getting a handle to the content window, but when reloading a page from the same origin init() is not called again while the content window has changed.

See http://mxr.mozilla.org/mozilla-central/source/dom/base/nsDOMClassInfo.cpp#7131 for a relevant comment.
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-18 15:43:23 PST
We should probably just fix Bug 690952.
Comment 2 Johnny Stenback (:jst, jst@mozilla.com) 2011-12-01 16:24:56 PST
Fabrice, can you make sure your case is fixed now that the fix for bug 690952 got landed? If so, we should mark this fixed.
Comment 3 [:fabrice] Fabrice Desré 2011-12-02 10:50:36 PST
That works fine, closing this one. Thanks!

Note You need to log in before you can comment on or make changes to this bug.